Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Get Skill Content

skills.content.retrieve(skill_id) -> BinaryResponseContent
GET
/skills/{skill_id}/content

Download a skill zip bundle by its ID.

Parameters
skill_id: str
Returns
BinaryResponseContent

Get Skill Content

import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
content = client.skills.content.retrieve(
    "skill_123",
)
print(content)
data = content.read()
print(data)
Returns Examples